Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Benchmark", "Base class for benchmarks.")]
-  [StorableClass]
+  [StorableType("0715912F-4F40-40F6-AC08-677CC4F76819")]
   public abstract class Benchmark : IBenchmark {
     public virtual string ItemName {
@@ -63,5 +63,5 @@
 
     [StorableConstructor]
-    protected Benchmark(bool deserializing) { }
+    protected Benchmark(StorableConstructorFlag _) { }
     protected Benchmark(Benchmark original, Cloner cloner) {
       cloner.RegisterClonedObject(original, this);
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
@@ -38,7 +38,9 @@
   [Item("Benchmark Algorithm", "An algorithm to execute performance benchmarks (Linpack, Dhrystone, Whetstone, etc.).")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 130)]
-  [StorableClass]
-  public sealed class BenchmarkAlgorithm : IAlgorithm {
+  [StorableType("8E76490C-E5DA-4F09-8E94-10009FC4124D")]
+  public sealed class BenchmarkAlgorithm : IAlgorithm, IStorableContent {
     private CancellationTokenSource cancellationTokenSource;
+
+    public string Filename { get; set; }
 
     public string ItemName {
@@ -215,5 +217,5 @@
     #region Constructors
     [StorableConstructor]
-    private BenchmarkAlgorithm(bool deserializing) { }
+    private BenchmarkAlgorithm(StorableConstructorFlag _) { }
     private BenchmarkAlgorithm(BenchmarkAlgorithm original, Cloner cloner) {
       if (original.ExecutionState == ExecutionState.Started) throw new InvalidOperationException(string.Format("Clone not allowed in execution state \"{0}\".", ExecutionState));
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Dhrystone", "Dhrystone performance benchmark.")]
-  [StorableClass]
+  [StorableType("277F595A-4309-4FA6-9C9D-CD0A140D7BAB")]
   public sealed class Dhrystone : Benchmark {
     private const int Ident_1 = 0;
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    private Dhrystone(bool deserializing) : base(deserializing) { }
+    private Dhrystone(StorableConstructorFlag _) : base(_) { }
     private Dhrystone(Dhrystone original, Cloner cloner) : base(original, cloner) { }
     public Dhrystone() { }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/HeuristicLab.Algorithms.Benchmarks-3.3.csproj
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/HeuristicLab.Algorithms.Benchmarks-3.3.csproj	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/HeuristicLab.Algorithms.Benchmarks-3.3.csproj	(revision 16723)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Algorithms.Benchmarks</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.Benchmarks-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -157,4 +157,11 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\bin\HEAL.Attic.dll</HintPath>
+      <Private>False</Private>
+    </Reference>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/IBenchmark.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,6 +24,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
+  [StorableType("FFCF9EC9-35CE-43C2-85CF-F90CEA6058BC")]
   public interface IBenchmark : IItem {
     byte[][] ChunkData { get; set; }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Linpack", "Linpack performance benchmark.")]
-  [StorableClass]
+  [StorableType("A480970C-E954-45F6-AFDE-BD99054E1BF7")]
   public sealed class Linpack : Benchmark {
     private const int DEFAULT_PSIZE = 1500;
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private Linpack(bool deserializing) : base(deserializing) { }
+    private Linpack(StorableConstructorFlag _) : base(_) { }
     private Linpack(Linpack original, Cloner cloner) : base(original, cloner) { }
     public Linpack() { }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Plugin.cs.frame	(revision 16723)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -35,5 +35,5 @@
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Parameters", "3.3")]
-  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Attic", "1.0")]
   public class HeuristicLabAlgorithmsBenchmarksPlugin : PluginBase {
   }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Properties/AssemblyInfo.cs.frame	(revision 16723)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 16692)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 16723)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Whetstone", "Whetstone performance benchmark.")]
-  [StorableClass]
+  [StorableType("95D2274E-EFC7-444C-B5CF-F087B0A3C027")]
   public sealed class Whetstone : Benchmark {
     private long begin_time;
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private Whetstone(bool deserializing) : base(deserializing) { }
+    private Whetstone(StorableConstructorFlag _) : base(_) { }
     private Whetstone(Whetstone original, Cloner cloner) : base(original, cloner) { }
     public Whetstone() { }
